DELETE api/Email

Request Information

URI Parameters

None.

Body Parameters

DeleteOrRestore
NameDescriptionTypeAdditional information
ids

Collection of globally unique identifier

None.

state

boolean

None.

deleted

boolean

Required

system_information

SystemInformation

None.

Request Formats

application/json, text/json

Sample:
{
  "ids": [
    "c8fb63a2-1c4a-44ba-a849-782434de14a7",
    "142cd880-4bd2-4302-a971-3e2c14fe5b39"
  ],
  "state": true,
  "deleted": true,
  "system_information": {
    "creation": {
      "user": {
        "full_name": "sample string 12 sample string 11",
        "id": "8ef11b7c-c9fb-49e2-b30d-15a6494f9559",
        "image_id": "e2fda117-c8a7-4586-adb6-6bb8e87cef32",
        "id_user_work_position": "be4f0311-041d-47bd-9c01-2e5b60494c09",
        "id_shift": "7ec09906-a4ee-487e-975e-0692af83c501",
        "code": "sample string 5",
        "code2": "sample string 6",
        "title": "sample string 9",
        "introduction": "sample string 10",
        "first_name": "sample string 11",
        "last_name": "sample string 12"
      },
      "date": "2026-05-05T19:03:44Z"
    },
    "last_change": {
      "user": {
        "full_name": "sample string 12 sample string 11",
        "id": "8ef11b7c-c9fb-49e2-b30d-15a6494f9559",
        "image_id": "e2fda117-c8a7-4586-adb6-6bb8e87cef32",
        "id_user_work_position": "be4f0311-041d-47bd-9c01-2e5b60494c09",
        "id_shift": "7ec09906-a4ee-487e-975e-0692af83c501",
        "code": "sample string 5",
        "code2": "sample string 6",
        "title": "sample string 9",
        "introduction": "sample string 10",
        "first_name": "sample string 11",
        "last_name": "sample string 12"
      },
      "date": "2026-05-05T19:03:44Z"
    }
  }
}

application/xml, text/xml

Sample:
<DeleteOrRestore xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
  <deleted>true</deleted>
  <ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:guid>c8fb63a2-1c4a-44ba-a849-782434de14a7</d2p1:guid>
    <d2p1:guid>142cd880-4bd2-4302-a971-3e2c14fe5b39</d2p1:guid>
  </ids>
  <state>true</state>
  <system_information>
    <creation>
      <date>2026-05-05T21:03:44.4513628+02:00</date>
      <user>
        <code>sample string 5</code>
        <code2>sample string 6</code2>
        <first_name>sample string 11</first_name>
        <full_name>sample string 12 sample string 11</full_name>
        <id>8ef11b7c-c9fb-49e2-b30d-15a6494f9559</id>
        <id_shift>7ec09906-a4ee-487e-975e-0692af83c501</id_shift>
        <id_user_work_position>be4f0311-041d-47bd-9c01-2e5b60494c09</id_user_work_position>
        <image_id>e2fda117-c8a7-4586-adb6-6bb8e87cef32</image_id>
        <introduction>sample string 10</introduction>
        <last_name>sample string 12</last_name>
        <title>sample string 9</title>
      </user>
    </creation>
    <last_change>
      <date>2026-05-05T21:03:44.4513628+02:00</date>
      <user>
        <code>sample string 5</code>
        <code2>sample string 6</code2>
        <first_name>sample string 11</first_name>
        <full_name>sample string 12 sample string 11</full_name>
        <id>8ef11b7c-c9fb-49e2-b30d-15a6494f9559</id>
        <id_shift>7ec09906-a4ee-487e-975e-0692af83c501</id_shift>
        <id_user_work_position>be4f0311-041d-47bd-9c01-2e5b60494c09</id_user_work_position>
        <image_id>e2fda117-c8a7-4586-adb6-6bb8e87cef32</image_id>
        <introduction>sample string 10</introduction>
        <last_name>sample string 12</last_name>
        <title>sample string 9</title>
      </user>
    </last_change>
  </system_information>
</DeleteOrRestore>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Result
NameDescriptionTypeAdditional information
messages

Collection of ResultMessage

None.

count_of_errors

integer

None.

id

Object

None.

name

string

None.

data

Object

None.

url

string

None.

text

string

None.

inner_exception

string

None.

Response Formats

application/json, text/json

Sample:
{
  "messages": [
    {
      "type": 1,
      "code": 1,
      "message": "sample string 1",
      "field": "sample string 2"
    },
    {
      "type": 1,
      "code": 1,
      "message": "sample string 1",
      "field": "sample string 2"
    }
  ],
  "count_of_errors": 1,
  "id": {},
  "name": "sample string 3",
  "data": {},
  "url": "sample string 5",
  "text": "sample string 6",
  "inner_exception": "sample string 7"
}

application/xml, text/xml

Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
  <count_of_errors>1</count_of_errors>
  <data />
  <id />
  <inner_exception>sample string 7</inner_exception>
  <messages>
    <ResultMessage>
      <code>1</code>
      <field>sample string 2</field>
      <message>sample string 1</message>
      <type>1</type>
    </ResultMessage>
    <ResultMessage>
      <code>1</code>
      <field>sample string 2</field>
      <message>sample string 1</message>
      <type>1</type>
    </ResultMessage>
  </messages>
  <name>sample string 3</name>
  <text>sample string 6</text>
  <url>sample string 5</url>
</Result>